# vim: set sw=4 ts=4 et nu:

Name:               mplayer2
Version:            2.0
%define pkg_version 2.0
Release:            4.3
Summary:            Advanced General Purpose Video Player
# http://ftp.mplayer2.org/pub/release/mplayer2-build-%{pkg_version}.tar.xz
Source:             mplayer2-build-%{pkg_version}.tar.bz2
Source99:           mplayer2-rpmlintrc
URL:                http://www.mplayer2.org/
Group:              Productivity/Multimedia/Video/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libva-devel libvdpau-devel
BuildRequires:      python
BuildRequires:      yasm
BuildRequires:      alsa-devel
BuildRequires:      Mesa-devel
BuildRequires:      xorg-x11-devel
BuildRequires:      freetype2-devel
BuildRequires:      fontconfig-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
# barfs for 64bit portability issues in purely 32bit code (wine, and WIN32 loader):


%description
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

%package -n mplayer2-as-mplayer
Summary:            Use mplayer2 as mplayer
Group:              Productivity/Multimedia/Video/Players
Requires:           %{name} = %{version}
Conflicts:          MPlayer

%description -n mplayer2-as-mplayer
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

This package adds "mplayer" symbolic links to mplayer2.

%prep
%setup -q -n "mplayer2-build-%{pkg_version}"

cat<<EOF >mplayer_options
--enable-runtime-cpudetection
--prefix=%{_prefix}
--libdir=%{_libdir}
--datadir=%{_datadir}
--mandir=%{_mandir}
--confdir=%{_sysconfdir}/mplayer2
--enable-shm
--enable-neon
EOF

%build
%__make %{?_smp_flags}

%install
%makeinstall

%__install -d "%{buildroot}%{_sysconfdir}/mplayer2"

%__mv "%{buildroot}%{_bindir}/mplayer" \
      "%{buildroot}%{_bindir}/mplayer2" 
%__mv "%{buildroot}%{_mandir}/man1/mplayer.1" \
      "%{buildroot}%{_mandir}/man1/mplayer2.1"

%__ln_s mplayer2 "%{buildroot}%{_bindir}/mplayer"
%__ln_s -f mplayer2.1%{ext_man} "%{buildroot}%{_mandir}/man1/mplayer.1%{ext_man}"
%__ln_s mplayer2 "%{buildroot}%{_sysconfdir}/mplayer"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc mplayer/AUTHORS mplayer/LICENSE mplayer/Copyright
%dir %{_sysconfdir}/mplayer2
%{_bindir}/mplayer2
%doc %{_mandir}/man1/mplayer2.1%{ext_man}

%files -n mplayer2-as-mplayer
%defattr(-,root,root)
%dir %{_sysconfdir}/mplayer
%{_bindir}/mplayer
%doc %{_mandir}/man1/mplayer.1%{ext_man}

%changelog
* Fri May 27 2011 pascal.bleser@opensuse.org
- add --enable-runtime-cpudetection, thanks to Martin Herkt for the hint
* Mon Mar 28 2011 pascal.bleser@opensuse.org
- update to 2.0:
  * better pause handling
  * improved Matroska support
  * much better VDPAU support
  * precise seeking
  * many bugfixes
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.99+2.0rc2)
